Get target execution log

  • GET
  • /workspaces
  • /:workspace
  • /targets
  • /execs
  • /:exec_id
  • /log

Get a slice of the execution log.

Request

REQUIRED SCOPES
TARGET_INFO
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

exec_idrequiredstring
Execution ID returned by the execute endpoint

Example: "9214386e-7633-4d2b-ac66-fcfbaf5ea99b"

GET PARAMETERS
offsetinteger
Line offset into the execution log to start reading from (number of leading lines to skip). Default: 0

Example: 0

limitinteger
Maximum number of log lines to return. Default: 1000

Example: 1000

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
execution_idstring
The ID of the execution
linesstring[]
The log lines of the execution output slice
next_offsetinteger
Line offset to pass as offset to fetch the next slice of the log
truncatedboolean
Indicates if the execution log was truncated

Last modified on Aug 13, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/targets/execs/:exec_id/log" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "execution_id": "9214386e-7633-4d2b-ac66-fcfbaf5ea99b", "lines": [ "ok\tts", "1\t2026-05-28 08:00:10" ], "next_offset": 2, "truncated": false }
STATUS
200 OK